DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Sharpen

Enhance an image

## SYNOPSIS

`#include "dip_derivatives.h"`

dip_Error dip_Sharpen ( in, out, weight, bc, ps, sigmas, tc, flavour )

## DATA TYPES

See `Laplace`

## FUNCTION

This function enhances the high frequencies ("sharpens") of the input image `in` by subtracting a `Laplace` filtered version of `in` from it. The `weight` parameter determines by which amount the laplace information is subtracted from the original: `output = input - weight * laplace( input )` The `sigmas` are the Gaussian smoothing parameters of the `Laplace` operation, and determine how strongly the high-frequency noise in `in` is suppressed.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `weight` | Laplacian weight
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_BooleanArray` | `process (0)` | Dimensions to process
`dip_FloatArray` | `sigmas` | Sigma of Gaussian
`dip_float` | `truncation (<0)` | Truncation of Gaussian
`dip_DerivativeFlavour` | `flavour` | Derivative Flavour

## SEE ALSO

`Laplace`

DIPlib on-line documentation | Function reference | Global function index